URLImportTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net

## Class URLImportTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.ImportTask
      - - net.sf.antcontrib.net.URLImportTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class URLImportTask
      extends org.apache.tools.ant.taskdefs.ImportTask

  Task to import a build file from a url. The build file can be a build.xml, or a .zip/.jar, in which case we download and extract the entire archive, and import the file "build.xml"
  Author:
    inger

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLImportTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `java.lang.String` | `getArtifactPattern()`
    `java.lang.String` | `getConf()`
    `java.io.File` | `getIvyConfFile()`
    `java.net.URL` | `getIvyConfUrl()`
    `java.lang.String` | `getIvyPattern()`
    `java.lang.String` | `getModule()`
    `java.lang.String` | `getOrg()`
    `java.io.File` | `getRepositoryDir()`
    `java.lang.String` | `getRepositoryUrl()`
    `java.lang.String` | `getResource()`
    `java.lang.String` | `getRev()`
    `java.lang.String` | `getType()`
    `void` | `setArtifactPattern(java.lang.String artifactPattern)`
    `void` | `setConf(java.lang.String conf)`
    `void` | `setFile(java.lang.String file)`
    `void` | `setIvyConfFile(java.io.File ivyConfFile)`
    `void` | `setIvyConfUrl(java.net.URL ivyConfUrl)`
    `void` | `setIvyPattern(java.lang.String ivyPattern)`
    `void` | `setModule(java.lang.String module)`
    `void` | `setOptional(boolean optional)`
    `void` | `setOrg(java.lang.String org)`
    `void` | `setRepositoryDir(java.io.File repositoryDir)`
    `void` | `setRepositoryUrl(java.lang.String repositoryUrl)`
    `void` | `setResource(java.lang.String resource)`
    `void` | `setRev(java.lang.String rev)`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.ImportTask

      `add, isInIncludeMode, setAs, setPrefixSeparator`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLImportTask

          public URLImportTask()

  - ### Method Detail

    - #### setModule

          public void setModule(java.lang.String module)

    - #### setOrg

          public void setOrg(java.lang.String org)

    - #### setRev

          public void setRev(java.lang.String rev)

    - #### setConf

          public void setConf(java.lang.String conf)

    - #### setIvyConfFile

          public void setIvyConfFile(java.io.File ivyConfFile)

    - #### setIvyConfUrl

          public void setIvyConfUrl(java.net.URL ivyConfUrl)

    - #### setArtifactPattern

          public void setArtifactPattern(java.lang.String artifactPattern)

    - #### setIvyPattern

          public void setIvyPattern(java.lang.String ivyPattern)

    - #### setRepositoryDir

          public void setRepositoryDir(java.io.File repositoryDir)

    - #### setRepositoryUrl

          public void setRepositoryUrl(java.lang.String repositoryUrl)

    - #### setResource

          public void setResource(java.lang.String resource)

    - #### setOptional

          public void setOptional(boolean optional)

      Overrides:
        `setOptional` in class `org.apache.tools.ant.taskdefs.ImportTask`

    - #### setFile

          public void setFile(java.lang.String file)

      Overrides:
        `setFile` in class `org.apache.tools.ant.taskdefs.ImportTask`

    - #### getOrg

          public java.lang.String getOrg()

    - #### getModule

          public java.lang.String getModule()

    - #### getRev

          public java.lang.String getRev()

    - #### getConf

          public java.lang.String getConf()

    - #### getType

          public java.lang.String getType()

    - #### getRepositoryUrl

          public java.lang.String getRepositoryUrl()

    - #### getRepositoryDir

          public java.io.File getRepositoryDir()

    - #### getIvyConfUrl

          public java.net.URL getIvyConfUrl()

    - #### getIvyConfFile

          public java.io.File getIvyConfFile()

    - #### getResource

          public java.lang.String getResource()

    - #### getArtifactPattern

          public java.lang.String getArtifactPattern()

    - #### getIvyPattern

          public java.lang.String getIvyPattern()

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.taskdefs.ImportTask`
      Throws:
        `org.apache.tools.ant.BuildException`